Subject: Re: bug#958: Python 2.6b2 interpreter error with `emacs.py'

From: Glenn Morris <[email-masked]>
Date: Thu, 11 Sep 2008 19:04:32 -0400

"Allan Mui" wrote:

> I have installed Python 2.6b2 and Emacs 22.3.1 (from binaries in both
> cases). When I open `emacs.py' or any other python source file and run
> the python interpreter from within emacs I receive the following
> error:
>  d:\Program Files\GNU\GNU Emacs\emacs-22.3\etc\emacs.py:24:
> DeprecationWarning: the sets module is deprecated
>   from sets import Set

(This is just a warning, not an error, no?)

Looks like this is already handled in the CVS trunk version, so will
be fixed in Emacs 23.1, via:

try:
    set
except:
    from sets import Set as set